Package org.sunflow.system

## Class SearchPath

- java.lang.Object
- - org.sunflow.system.SearchPath

-     public class SearchPath
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SearchPath​(java.lang.String type)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addSearchPath​(java.lang.String path)` |
    `void` | `resetSearchPath()` |
    `java.lang.String` | `resolvePath​(java.lang.String filename)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchPath

          public SearchPath​(java.lang.String type)

  - ### Method Detail

    - #### resetSearchPath

          public void resetSearchPath()

    - #### addSearchPath

          public void addSearchPath​(java.lang.String path)

    - #### resolvePath

          public java.lang.String resolvePath​(java.lang.String filename)